Package org.h2.tools

# Class SimpleResultSet.SimpleArray

java.lang.Object
org.h2.tools.SimpleResultSet.SimpleArray

All Implemented Interfaces:
  `Array`

Enclosing class:
  SimpleResultSet

public static class SimpleResultSet.SimpleArray extends Object implements Array
A simple array implementation, backed by an object array

## Method Summary

Modifier and Type
Method
Description
`void`
`free()`
INTERNAL
`Object`
`getArray()`
Get the object array.
`Object`
`getArray(long index, int count)`
INTERNAL
`Object`
`getArray(long index, int count, Map<String,Class<?>> map)`
INTERNAL
`Object`
`getArray(Map<String,Class<?>> map)`
INTERNAL
`int`
`getBaseType()`
Get the base type of this array.
`String`
`getBaseTypeName()`
Get the base type name of this array.
`ResultSet`
`getResultSet()`
INTERNAL
`ResultSet`
`getResultSet(long index, int count)`
INTERNAL
`ResultSet`
`getResultSet(long index, int count, Map<String,Class<?>> map)`
INTERNAL
`ResultSet`
`getResultSet(Map<String,Class<?>> map)`
INTERNAL

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getArray

public Object getArray()
Get the object array.

Specified by:
  `getArray` in interface `Array`
Returns:
  the object array

### getArray

public Object getArray(Map<String,Class<?>> map) throws SQLException
INTERNAL

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

### getArray

public Object getArray(long index, int count) throws SQLException
INTERNAL

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

### getArray

public Object getArray(long index, int count, Map<String,Class<?>> map) throws SQLException
INTERNAL

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

### getBaseType

public int getBaseType()
Get the base type of this array.

Specified by:
  `getBaseType` in interface `Array`
Returns:
  Types.NULL

### getBaseTypeName

public String getBaseTypeName()
Get the base type name of this array.

Specified by:
  `getBaseTypeName` in interface `Array`
Returns:
  "NULL"

### getResultSet

public ResultSet getResultSet() throws SQLException
INTERNAL

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

### getResultSet

public ResultSet getResultSet(Map<String,Class<?>> map) throws SQLException
INTERNAL

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

### getResultSet

public ResultSet getResultSet(long index, int count) throws SQLException
INTERNAL

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

### getResultSet

public ResultSet getResultSet(long index, int count, Map<String,Class<?>> map) throws SQLException
INTERNAL

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

### free

public void free()
INTERNAL

Specified by:
  `free` in interface `Array`